BP_SEQRET(1)

NAME
bp_seqret - bioperl implementation of sequence fetch from local db (like EMBOSS seqret)

USAGE
bp_seqret [-f/--format outputformat] [-o/--out/--outfile outfile] [-d/--db dbname] [-i/--id/-s/--seqname seqname1]

Example usage:

   bp_seqret -f fasta -db db.fa -i seq1 -i seq2 > output.fas
   bp_seqret db.fa:seq1 output.fas
   bp_seqret db.fa:seq1 -o output.fas
   bp_seqret -db db.fa -o output.fas seq1 seq2 seq3
   bp_seqret -db db.fa seq1 seq2 seq3 output.fas
   bp_seqret -db db.fa seq1 seq2 seq3 - > output.fas

The DB is expected to be a Fasta formatted sequence file with multiple sequences.

Output format is Fasta by default.

If no output filename is provided then output is written to STDOUT. Providing '-' as the output filename will accomplish the same thing.

AUTHOR
Jason Stajich jason_AT_bioperl-dot-org